Subject: Re: bug#40516: 28.0.50; Delays with copy/rename after 10 hours emacs uptime
From: Eli Zaretskii <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Apr 2020 14:25:59 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 9 Apr 2020 11:24:29 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> > > Then I have observed that copies and renames are slower and slower,
> > > incredibly slow. Deleting files became very slow. If I would do it in
> > > the shell it would be very fast.
> > 
> > Do you have gc-cons-threshold set to a very high value, per chance?
> 
> Its value is 10000000
> Original value was 800000
> 
> Is that maybe the case? I will reset it.

It could be.  I suggest to set garbage-collection-messages non-nil,
and see if Emacs says "Garbage collecting..." whenever you see the
delays.

In general, 10MB is quite high a setting, yes.

> > In any case, when this happens next time, profile Emacs with "M-x
> > profiler-start", then post the resulting profile, completely expanded,
> > here.  Without that data, it is hard to do anything useful about this
> > bug report, as it gives no clue about the possible reason(s).  FWIW,
> > my Emacs sessions typically run for many weeks without any tangible
> > degradation in the time it takes to copy or move files.
> 
> Thank you, then for now it can be closed. I can re-open if I see
> problem taking place.

Closing.